{: test that ',' instead of ';' separating dimensions in a conformant
   array parameter produce a compilation error and is well handled }

{$d+}
program e110( output );

type
   smallInt =  1..10;

var
   a : array[1..10] of smallInt;
             { !!! ',' should be ';'  ------v-----   }
procedure test(aa : array[lo1..hi1 : integer, lo2..hi2 : integer] of integer);
var
   aa1 : array[smallInt,smallInt] of integer;
   z   : smallInt;
begin
   z := lo1;
   aa[z,lo2] := 3;
   aa[hi1,z] := 3;
   writeln( 'fails: conformant array error is not detected' );
end;
begin {e110}

   test(a);

end. { e110 }

